#ifndef SWIFT_GUI_CLIPBOX_H
#define SWIFT_GUI_CLIPBOX_H

#include <swift/gui/api.h>
#include <swift/gui/widget.h>

SWIFT_GUI_API void swift_create_clipbox(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw, bool visible);
SWIFT_GUI_API void swift_update_clipbox(swift_widget_t *control,
	swift_vec3f_t pos, swift_vec2f_t hw);
#endif /*SWIFT_GUI_CLIPBOX_H*/
